/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999-2004 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ApplyResourceAdapterCFAction.java,v 1.1 2005/04/26 16:19:06 ehardesty Exp $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.webapp.jonasadmin.service.resource;

import java.io.IOException;

import javax.management.ObjectName;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.objectweb.jonas.jmx.J2eeObjectName;
import org.objectweb.jonas.jmx.JonasManagementRepr;
import org.objectweb.jonas.jmx.JonasObjectName;
import org.objectweb.jonas.webapp.jonasadmin.JonasBaseAction;

/**
 * @author Eric Hardesty
 */

public class ApplyResourceAdapterCFAction extends JonasBaseAction {

// --------------------------------------------------------- Public Methods

    public ActionForward executeAction(ActionMapping p_Mapping, ActionForm p_Form
        , HttpServletRequest p_Request, HttpServletResponse p_Response)
        throws IOException, ServletException {

        // Form used
        ResourceAdapterCFForm oForm = (ResourceAdapterCFForm) p_Form;
        try {
        	String domainName = m_WhereAreYou.getCurrentDomainName();
        	String serverName = m_WhereAreYou.getCurrentJonasServerName();
            populate(oForm);
        }
        catch (Throwable t) {
            addGlobalError(t);
            saveErrors(p_Request, m_Errors);
            return (p_Mapping.findForward("Global Error"));
        }
        // Forward to the jsp and add the parameter 'name' with the good value.
        return new ActionForward(p_Mapping.findForward("Resource AdapterCF"));
    }

// --------------------------------------------------------- Protected Methods

    protected void populate(ResourceAdapterCFForm p_Form)
        throws Exception {
        // Object name used
        ObjectName oObjectName = p_Form.getOName();
        // Populate
        setIntegerAttribute(oObjectName, "jdbcConnCheckLevel", p_Form.getJdbcConnCheckLevel());
        setIntegerAttribute(oObjectName, "connMaxAge", p_Form.getConnMaxAge());
        setIntegerAttribute(oObjectName, "maxOpentime", p_Form.getMaxOpentime());
        setStringAttribute(oObjectName, "jdbcTestStatement", p_Form.getJdbcTestStatement());
        setIntegerAttribute(oObjectName, "maxSize", p_Form.getMaxSize());
        setIntegerAttribute(oObjectName, "minSize", p_Form.getMinSize());
        setIntegerAttribute(oObjectName, "maxWaitTime", p_Form.getMaxWaitTime());
        setIntegerAttribute(oObjectName, "maxWaiters", p_Form.getMaxWaiters());
        setIntegerAttribute(oObjectName, "samplingPeriod", p_Form.getSamplingPeriod());
    }

}
