/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999-2004 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JWrapper.java,v 1.1 2005/07/13 06:29:45 durieuxp Exp $
 * --------------------------------------------------------------------------
 */

 package org.objectweb.jonas_ejb.container;

import java.io.Serializable;

 /**
  * This class is just a wrapper to encapsulate some fields of a Stateful
  * Session bean when it is serialized.
  * @author durieuxp
  */
 public class JWrapper implements Serializable {

    private static final long serialVersionUID = 1L;

    int type;

    public static final int USER_TX = 1;

    public static final int SESSION_CTX = 2;

    public static final int HANDLE = 3;

    Object obj;

    public JWrapper(int type, Object arg) {
        this.type = type;
        this.obj = arg;
    }

    public int getType() {
        return type;
    }

    public Object getObject() {
        return obj;
    }
}
